/*
 * Created on 11 nov. 2003
 *
 */
package com.jujunie.service.util;

/**
 * Boolean manipulation utilities. 
 * @author <a href="julien@jujunie.com">julien</a>
 */
public class BooleanUtil {

    /**
     * @param b
     * @param def
     * @return def if b is null, b.booleanValue() otherwise
     */
    public static boolean getBoolean(Boolean b, boolean def) {
       if (b == null) {
           return def;
       } else {
           return b.booleanValue();
       }
    }

    /**
     * @param b
     * @return false if b is null, b.booleanValue() otherwise
     */
    public static boolean getBoolean(Boolean b) {
        return getBoolean(b, false);
    }

    /**
     * @param b
     * @return Boolean.FALSE if b is false, Boolean.TRUE otherwise
     */
    public static Boolean getBoolean(boolean b) {
        if(b) {
            return Boolean.TRUE;
        } else {
            return Boolean.FALSE;
        }
    }

}
