/*
 * Created on Dec 21, 2003
 *
 */
package com.jujunie.service.web;

import org.w3c.dom.Element;

import com.jujunie.service.xml.InvalidXMLElementException;

/**
 * Command loaded using a XML configuration
 * 
 * @author julien
 *
 */
public interface CommandXML extends Command {

    /** Command element name */
    public static final String ELEMENT_NAME = "command";
    
    /**
     * Method used by the WebPageXML to initialize the command.
     * @param commandNode the XML node of the web configuration file
     * @param the web page that contains this command
     */
    void init(Element commandNode, WebPage parent) throws InvalidXMLElementException;    
}
