/*
 * Created on Dec 20, 2003
 *
 */
package com.jujunie.service.web;

import org.w3c.dom.Element;

import com.jujunie.service.xml.InvalidXMLElementException;

/**
 * @author julien
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface DisplayHandlerXML extends DisplayHandler {

    /** Application element name */
    public static final String ELEMENT_NAME = "display-handler";
    
    /**
     * Method used by the MainServlet to initialize the display hadler.
     * @param displayHandlerNode the XML node of the web configuration file
     * @throws WebConfigException on cofiguration error
     * @throws InvalidXMLElementException on XML error
     */
    void init(Element displayHandlerNode) throws WebConfigException, InvalidXMLElementException;
    
    /**
     * Display handler code
     * @return diaplay handler code
     */
    String getCode();
    
}
