/**
 * 
 */
package com.jujunie.service.web;

import javax.servlet.ServletContext;

import com.jujunie.service.Container;

/**
 * @author Julien BETI
 * @since 1.0
 */
public class ServletContextContainer implements Container {

    /** Container */
    private ServletContext sc = null;
    
    public ServletContextContainer(ServletContext sc) {
        assert sc != null : "Cannot create adapter on nul...";
        this.sc = sc;
    }
    
    /**
     * @see com.jujunie.service.Container#getAttribute(java.lang.String)
     */
    public Object getAttribute(String key) {
        return this.sc.getAttribute(key);
    }

    /**
     * @see com.jujunie.service.Container#setAttribute(java.lang.String, java.lang.Object)
     */
    public void setAttribute(String key, Object att) {
        this.sc.setAttribute(key, att);
    }

}
