/*
 * Created on 11 nov. 2003
 *
 */
package com.jujunie.service.web;

/**
 * This exception is raised when aproblem occurs in web config sub-system
 * @author <a href="mailto:julien@jujunie.com">julien</a>
 */
public class WebConfigException extends Exception {

    /** Informative message on this exception */
    private String message;
    
    /**
     * Creates a new WebConfigException
     * @param message an informative message on exception context
     * @param initCause the cause of this exception
     */
    public WebConfigException(String message, Throwable initCause) {
        this.message = message;
        this.initCause(initCause);
    }

    /* (non-Javadoc)
     * @see java.lang.Throwable#getMessage()
     */
    public String getMessage() {
        return this.message;
    }

}
