/**
 * 
 */
package com.jujunie.service.web.html;

import com.jujunie.service.web.WebItemNotAvailableException;

/**
 * Provide HTML elements
 * @author julien
 */
public interface HtmlElementsProvider {

    /**
     * @param tableName name of the table to retreive
     * @return the table correponding to the given name
     * @throws WebItemNotAvailableException if the requested element is not found
     */
    Table getTable(String tableName) throws WebItemNotAvailableException;
    
}
