package com.jujunie.service;

/**
 * Represent the container concept 
 * @author julien
 */
public interface Container {
    /**
     * Set an attribute to the container
     * @param key key used to store the attribute
     * @param att attribute to store
     */
    void setAttribute(String key, Object att);
    
    /**
     * @param key key used to store the attribute
     * @return the stored attribute corresponding to the given key
     */
    Object getAttribute(String key);
}
