/*
 * Created on Dec 20, 2003
 *
 */
package com.jujunie.service.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * A view handler is responsible of displaying
 * the view to the user with the given WebPage
 * element.
 * 
 * @author julien
 *
 */
public interface DisplayHandler {
    
    /**
     * Display the given WebPage
     * @param page the page to display
     * @param req the HttpServletRequest
     * @param resp the HttpServletResponse
     */
    void display(WebPage page, HttpServletRequest req, HttpServletResponse resp)
    throws DisplayException;
}
