/*
 * Created on 24 dec. 2003
 *
 */
package com.jujunie.service.web;

import javax.servlet.http.HttpServletRequest;

/**
 * Represent a page initialiser.
 * 
 * @author julien
 * 
 * @version $Revision $
 */
public interface DisplayInitialiser {

    /**
     * Setting the parent page
     * @param page parent page
     */
    void setParent(WebPage page);
    
    /**
     * Initialise the display
     * @param context display context use by the view
     * @param req the HttpServletRequest
     */
    void initDisplay(DisplayContext context, HttpServletRequest req) throws DisplayException;

}
