/*
 * Created on Mar 5, 2005
 *
 */
package com.jujunie.service.web;

import org.w3c.dom.Element;

import com.jujunie.service.xml.InvalidXMLElementException;

/**
 * Application init commmand loaded using XML
 * @author julien
 */
public interface InitCommandXML extends InitCommand {

    /** Application element name */
    public static final String ELEMENT_NAME = "init-command";
    
    /**
     * Method used by the WebApplication to initialize the command.
     * @param commandNode the XML node of the web configuration file
     * @param parent the WebApplication
     */
    void init(Element commandNode, WebApplication parent) throws InvalidXMLElementException;    
}
