/*
 * Created on 24 d???c. 2003
 *
 */
package com.jujunie.service.web;

import java.util.HashMap;

import org.apache.velocity.context.Context;

/**
 * This class is the display context for velocity
 * 
 * @author julien
 * 
 * @version $Revision $
 */
public class VelocityDisplayContext implements DisplayContext, Context {
    
    HashMap data = new HashMap();

    /**
     * @see com.jujunie.service.web.DisplayContext#set(java.lang.String, java.lang.Object)
     */
    public void set(String key, Object obj) {
        this.data.put(key, obj);
    }

    /**
     * @see org.apache.velocity.context.Context#get(java.lang.String)
     */
    public Object get(String key) {
        return this.data.get(key);
    }

    /**
     * @see org.apache.velocity.context.Context#put(java.lang.String, java.lang.Object)
     */
    public Object put(String arg0, Object arg1) {
        this.set(arg0, arg1);
        return arg1;
    }

    /**
     * @see org.apache.velocity.context.Context#containsKey(java.lang.Object)
     */
    public boolean containsKey(Object arg0) {
        return this.data.containsKey(arg0);
    }

    /**
     * @see org.apache.velocity.context.Context#getKeys()
     */
    public Object[] getKeys() {
        return this.data.keySet().toArray();
    }

    /**
     * @see org.apache.velocity.context.Context#remove(java.lang.Object)
     */
    public Object remove(Object arg0) {
        return this.data.remove(arg0);
    }

}
