/**
 * 
 */
package com.jujunie.service.web.html;

/**
 * Column manager for simple string
 * @author julien
 *
 */
public class StringColumnManager extends ColumnManager {
    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 3850858480243381160L;

    /**
     * @see com.jujunie.service.web.html.ColumnManager#generateCell(com.jujunie.service.web.html.TableInformation, com.jujunie.service.web.html.RowManager, java.lang.StringBuffer)
     */
    protected void generateCell(TableInformation info, RowManager r, StringBuffer res) {
        res.append("<td class=\"")
        .append(r.getCellStyleClassCode(super.getColumnStyleClass()))
        .append("\">")
        .append(r.getValueAsString())
        .append("</td>");
    }

    /**
     * @see com.jujunie.service.web.html.ColumnManager#init(com.jujunie.service.web.html.Table)
     */
    protected void init(Table t) {
    }
}
