/*
 * Created on 19 nov. 2003
 *
 */
package com.jujunie.service.xml;

/**
 * This exception is thrown when a given element is not valid.
 * For exemple, a "module" element is gaven istead of a "page"
 * element.
 * @author <a href="mailto:julien@jujunie.com">julien</a>
 */
public class InvalidXMLElementException extends Exception {
    /**
     * Detailed message
     */
    private String message = "";
    
    /**
     * Creates a new InvalidXMLElementException
     * @param message detailed message
     */
    public InvalidXMLElementException(String message) {
        if (message != null) {
            this.message = message;
        }
    }

    /* (non-Javadoc)
     * @see java.lang.Throwable#getMessage()
     */
    public String getMessage() {
        return this.message;
    }

}
